Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Class AggregateMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.AggregateMapping`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  AbstractCompositeCollectionMapping, AbstractCompositeObjectMapping, AggregateObjectMapping

public abstract class AggregateMapping
extends DatabaseMapping

Purpose: Two objects can be considered to be related by aggregation if there is a strict 1:1 relationship between the objects. This means that if the source (parent)object exists, then the target (child or owned) object must exist. This class implements the behavior common to the aggregate object and structure mappings.

Since:
  TopLink for Java 1.0
See Also:
  Serialized Form

Constructor Summary
`AggregateMapping()` Default constructor.

Method Summary
`java.lang.Class` | `getReferenceClass()` PUBLIC: Returns the reference class
`void` | `setReferenceClass(java.lang.Class aClass)` PUBLIC: This is a reference class whose instances this mapping will store in the domain objects.

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeClassification, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregateMapping

    public AggregateMapping()

  Default constructor.

Method Detail

### getReferenceClass

    public java.lang.Class getReferenceClass()

  PUBLIC: Returns the reference class

### setReferenceClass

    public void setReferenceClass(java.lang.Class aClass)

  PUBLIC: This is a reference class whose instances this mapping will store in the domain objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD